%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%define debug_package %{nil} 

Name:		libvshadow
Version:	20150106
Release:	1%{?dist}
Summary:	Library to access the Windows NT Volume Shadow Snapshot (VSS) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-alpha-%{version}.tar.gz
%if 0%{?centos} == 5
Patch1:		%{name}-%{version}-patch-001
%endif
URL:		http://code.google.com/p/libvshadow/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
             
%description
libvshadow is a library to access the Windows NT Volume Shadow Snapshot (VSS) format

%package devel
Summary:	Header files and libraries for developing applications for libvshadow
Group:		Development/Libraries
Requires:	libvshadow = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libvshadow.

%package tools
Summary:	Several tools for reading Windows NT Volume Shadow Snapshots (VSS)
Group:		Applications/System
Requires:	libvshadow = %{version}-%{release}  fuse-libs
BuildRequires:	 fuse-devel

%description tools
Several tools for reading Windows NT Volume Shadow Snapshots (VSS)

%package python
Summary:	Python bindings for libvshadow
Group:		System Environment/Libraries
Requires:	libvshadow = %{version}-%{release} python
BuildRequires:	%(basename %{__python})-devel

%description python
Python bindings for libvshadow

%prep
%setup -q
%if 0%{?centos} == 5
%patch1 -p1
%endif

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%if 0%{?rhel} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pyvshadow/Makefile
%endif
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libvshadow.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/vshadowinfo
%attr(755,root,root) %{_bindir}/vshadowmount
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%changelog
* Tue Jan  6 2015 Lawrence R. Rogers <lrr@cert.org> 20150106-1
* Release 20150106-1
	20150106
	* 2015 update

	20141223
	* worked on Python 3 support
	* worked on tests

	20141201
	* code clean up

	20141114
	* code clean up
	* worked on multi-threading support

	20141104
	* removed deprecated functions
	  - libvshadow_store_read_random
	  - pyvshadow.store.read_random

	20141027
	* changes for deployment

* Thu Oct 23 2014 Lawrence R. Rogers <lrr@cert.org> 20141023-1
* Release 20141023-1
	20141023
	* changes for deployment

	20141017
	* changes for deployment

	20140928
	* removed README.macosx
	* changes for project site move

	20140901
	* bug fix in Python-bindings
	* Code clean up

* Thu Jul 31 2014 Lawrence R. Rogers <lrr@cert.org> 20140731-1
* Release 20140731-1
	20140731
	* updated dependencies
	* worked on Python bindings

	20140531
	* updated dependencies

	20140325
	* worked on setup.py

* Sun Mar 23 2014 Joachim Metz <joachim.metz@gmail.com> 20140323-1
- Auto-generated

